DescribeEips

1. API Description

This API (DescribeEips) is used to query the information of one or more specified elastic IPs. You can search for elastic IP information based on elastic IP ID, elastic IP name, etc.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipIds

No

Array of String

Elastic IP ID(s).

regionId

No

String

Region ID

name

No

String

Elastic IP name.

Fuzzy search supported.

status

No

Status of the elastic IP.

isDefault

No

Boolean

Whether the elastic IP is the default public IP.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20;

Maximum value: 1000.

pageNum

No

Integer

Number of pages returned.

Default value: 1.

Default value: 1

privateIpAddress

No

String

Filter by private IP bound to the elastic IP.

ipAddress

No

String

Filter by elastic IP address.

ipAddresses

No

Array of String

Filter by elastic IP addresses.

instanceId

No

String

Filter by instance ID bound to the elastic IP.

This field filters the elastic IPs bound to the instance's vNIC.

associatedId

No

String

Filter by resource ID bound to the elastic IP.

cidrIds

No

Array of String

Filter by CIDR IDs to which the EIP belongs.

resourceGroupId

No

String

Resource Group ID.

tagKeys

No

Array of String

Query using tag keys.

A maximum of 20 tag keys can be used.

tags

No

Array of Tag

Query using tags.

A maximum of 20 tags can be used.

internetChargeType

No

Filter by the network billing model of the elastic IP.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Number of elastic IPs meeting the filtering conditions.

dataSet

Array of EipInfo

List of elastic IPs.

4. Code Example

Query the list of IPs based on public IP.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated